Bug 1712015 - [RFE] foreman/app/views/nic/_base_form.html.erb should specify subnet w/ TFTP capsule required for PXE provisioning
Summary: [RFE] foreman/app/views/nic/_base_form.html.erb should specify subnet w/ TFTP...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-20 15:36 UTC by wclark
Modified: 2020-04-14 13:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26869 'Low' 'Closed' 'Add tooltip for IPv4 Subnet on NIC base form' 2019-11-18 17:50:22 UTC
Github theforeman foreman pull 6796 'None' 'closed' 'Fixes #26869 - Add tooltip for IPv4 Subnet on NIC base form' 2019-11-18 17:50:21 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:42 UTC

Description wclark 2019-05-20 15:36:50 UTC
PXE provisioning will fail if no interface has an associated Subnet with a TFTP Capsule.

However when creating a new host, Hosts --> Create Host --> Interfaces --> Edit, there are several helpful information bubbles for many fields, but no information related to scenarios where a subnet with a TFTP Capsule must be associated with the interface.

Adding such information will make it more clear to customers that while a new Host can be created without an associated subnet, building the Host via PXE will fail.

Comment 3 wclark 2019-05-20 15:42:12 UTC
It appears subnet field was made optional here: https://projects.theforeman.org/issues/15133

Inline help was improved here for some other fields: https://projects.theforeman.org/issues/19646

However there is no inline help for the Subnet fields specifically

Comment 4 Tomer Brisker 2019-05-26 06:12:42 UTC
Connecting redmine issue https://projects.theforeman.org/issues/26869 from this bug

Comment 5 Bryan Kearney 2019-05-26 08:06:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26869 has been resolved.

Comment 6 tstrych 2019-11-14 08:25:32 UTC
Information message is showed. Verified on snap_6.7.0_1.0.

Comment 9 errata-xmlrpc 2020-04-14 13:24:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.